import request from '@/utils/request'

// 查询违规词语列表
export function listFastGptChatReplaceWords(query) {
  return request({
    url: '/fastGpt/fastGptChatReplaceWords/list',
    method: 'get',
    params: query
  })
}

// 查询违规词语详细
export function getFastGptChatReplaceWords(id) {
  return request({
    url: '/fastGpt/fastGptChatReplaceWords/' + id,
    method: 'get'
  })
}

// 新增违规词语
export function addFastGptChatReplaceWords(data) {
  return request({
    url: '/fastGpt/fastGptChatReplaceWords',
    method: 'post',
    data: data
  })
}

// 修改违规词语
export function updateFastGptChatReplaceWords(data) {
  return request({
    url: '/fastGpt/fastGptChatReplaceWords',
    method: 'put',
    data: data
  })
}

// 删除违规词语
export function delFastGptChatReplaceWords(id) {
  return request({
    url: '/fastGpt/fastGptChatReplaceWords/' + id,
    method: 'delete'
  })
}

// 导出违规词语
export function exportFastGptChatReplaceWords(query) {
  return request({
    url: '/fastGpt/fastGptChatReplaceWords/export',
    method: 'get',
    params: query
  })
}